pg_cancel_query
pg_close
PostgreSQL Functions
PHP Manual

# pg_client_encoding

(PHP 4 >= 4.0.3, PHP 5)

pg_client_encoding — Gets the client encoding

### Description

string pg_client_encoding ([ resource `$connection` ] )

PostgreSQL supports automatic character set conversion between server and client for certain character sets. pg_client_encoding() returns the client encoding as a string. The returned string will be one of the standard PostgreSQL encoding identifiers.

> Note:

> This function requires PHP 4.0.3 or higher and PostgreSQL 7.0 or higher. If libpq is compiled without multibyte encoding support, pg_client_encoding() always returns SQL_ASCII. Supported encoding depends on PostgreSQL version. Refer to the PostgreSQL Documentation supported encodings.

> The function used to be called pg_clientencoding().

### Parameters

`connection`

  PostgreSQL database connection resource. When `connection` is not present, the default connection is used. The default connection is the last connection made by pg_connect() or pg_pconnect().

### Return Values

The client encoding, or `FALSE` on error.

### Examples

Example #1 pg_client_encoding() example

`<?php
// Assume $conn is a connection to a ISO-8859-1 database
$encoding = pg_client_encoding($conn);
echo "Client encoding is: ", $encoding, "\n";
?>`

The above example will output:

    Client encoding is: ISO-8859-1

### See Also

- pg_set_client_encoding() - Set the client encoding

pg_cancel_query
pg_close
PostgreSQL Functions
PHP Manual